# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'purveyor/version'

Gem::Specification.new do |spec|
  spec.name          = "purveyor"
  spec.version       = Purveyor::VERSION
  spec.authors       = ["Aaron F Stanton"]
  spec.email         = ["afstanton@gmail.com"]

  spec.summary       = %q{An abstract interface for as many distributor/dropshipper APIs as I can find.}
  spec.description   = %q{Defines an interface for other gems to use and creates a strategy for using them.}
  spec.homepage      = "https://github.com/catharticbliss/purveyor"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.cert_chain  = ['certs/afstanton.pem']
  spec.signing_key = File.expand_path("~/.ssh/gem-private_key.pem") if $0 =~ /gem\z/
end
